# Generated by Django 3.2.9 on 2022-01-12 06:07

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import model_utils.fields
import modelcluster.fields
import taggit.managers
import wagtail.core.blocks
import wagtail.core.fields
import wagtail.documents.blocks
import wagtail.images.blocks
import websites.cumpa.models.sections.about


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('wagtailimages', '0023_add_choose_permissions'),
        ('django_comments_xtd', '0008_auto_20200920_2037'),
        ('taggit', '0003_taggeditem_add_unique_index'),
        ('wagtailcore', '0066_collection_management_permissions'),
    ]

    operations = [
        migrations.CreateModel(
            name='Author',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('names', models.CharField(max_length=255)),
                ('last_name', models.CharField(max_length=255)),
                ('birth_day', models.DateField(blank=True, null=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='CumpaComment',
            fields=[
                ('xtdcomment_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='django_comments_xtd.xtdcomment')),
            ],
            options={
                'verbose_name': 'comment',
                'verbose_name_plural': 'comments',
                'ordering': ('submit_date',),
                'permissions': [('can_moderate', 'Can moderate comments')],
                'abstract': False,
            },
            bases=('django_comments_xtd.xtdcomment',),
        ),
        migrations.CreateModel(
            name='CumpaHomePage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.page')),
                ('hero', wagtail.core.fields.StreamField([('i_am', wagtail.core.blocks.CharBlock(label='I Am', max_length=150)), ('presentation', wagtail.core.blocks.CharBlock(label='Presentation', max_length=500)), ('job_positions', wagtail.core.blocks.ListBlock(wagtail.core.blocks.CharBlock(max_length=250, required=True))), ('social_links', wagtail.core.blocks.ListBlock(wagtail.core.blocks.StructBlock([('name', wagtail.core.blocks.CharBlock(form_classname='title', label='Nombre', required=False)), ('url', wagtail.core.blocks.URLBlock(required=True)), ('icon', wagtail.images.blocks.ImageChooserBlock(required=True))]))), ('photo', wagtail.images.blocks.ImageChooserBlock(required=True))])),
                ('about', wagtail.core.fields.StreamField([('about_me', wagtail.core.blocks.TextBlock(label='About')), ('picture', wagtail.images.blocks.ImageChooserBlock(label='Picture')), ('professional_profile', wagtail.core.blocks.CharBlock(label='Professional Profile', max_length=350)), ('personal_info', wagtail.core.blocks.ListBlock(wagtail.core.blocks.StructBlock([('personal_label', wagtail.core.blocks.CharBlock(max_length=250)), ('personal_value', wagtail.core.blocks.CharBlock(max_length=350))]))), ('cv_document', wagtail.documents.blocks.DocumentChooserBlock()), ('hire_me', wagtail.core.blocks.CharBlock(label='Hire Me', max_length=255)), ('count_up', wagtail.core.blocks.ListBlock(wagtail.core.blocks.StructBlock([('icon', wagtail.documents.blocks.DocumentChooserBlock()), ('count', wagtail.core.blocks.IntegerBlock(max_length=350)), ('label', wagtail.core.blocks.CharBlock(max_length=350))]))), ('services', wagtail.core.blocks.ListBlock(websites.cumpa.models.sections.about.Service)), ('testimonials', wagtail.core.blocks.ListBlock(websites.cumpa.models.sections.about.Testimonial))])),
                ('resume', wagtail.core.fields.StreamField([('description', wagtail.core.blocks.TextBlock(required=False)), ('timelines', wagtail.core.blocks.ListBlock(wagtail.core.blocks.StructBlock([('title', wagtail.core.blocks.CharBlock(max_length=250)), ('icon', wagtail.core.blocks.RawHTMLBlock()), ('details', wagtail.core.blocks.ListBlock(wagtail.core.blocks.StructBlock([('title', wagtail.core.blocks.CharBlock(max_length=250)), ('dates', wagtail.core.blocks.CharBlock(max_length=350)), ('content', wagtail.core.blocks.TextBlock())])))]))), ('skills', wagtail.core.blocks.ListBlock(wagtail.core.blocks.StructBlock([('title', wagtail.core.blocks.CharBlock(max_length=250)), ('presentation', wagtail.core.blocks.ChoiceBlock(choices=[('BAR', 'Bar'), ('STAR', 'Star')])), ('details', wagtail.core.blocks.ListBlock(wagtail.core.blocks.StructBlock([('name', wagtail.core.blocks.CharBlock(max_length=350)), ('quantity', wagtail.core.blocks.DecimalBlock(decimal_places=1, max_digits=4, max_value=100, min_value=1)), ('label', wagtail.core.blocks.CharBlock(max_length=350, required=False))])))])))])),
                ('contact', wagtail.core.fields.StreamField([('description', wagtail.core.blocks.TextBlock(required=False)), ('contact_number', wagtail.core.blocks.TextBlock(required=False)), ('address_location', wagtail.core.blocks.TextBlock(required=False)), ('contact_email', wagtail.core.blocks.TextBlock(required=False))])),
            ],
            options={
                'verbose_name': "Home Page - Cumpa's Website",
                'verbose_name_plural': "Home Page - Cumpa's Website",
            },
            bases=('wagtailcore.page',),
        ),
        migrations.CreateModel(
            name='CumpaPortfolioPage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.page')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('description', models.CharField(blank=True, max_length=500)),
                ('page_filters', wagtail.core.fields.StreamField([('filters', wagtail.core.blocks.ListBlock(wagtail.core.blocks.StructBlock([('link', wagtail.core.blocks.CharBlock(max_length=250)), ('data_filter', wagtail.core.blocks.CharBlock(max_length=250)), ('title', wagtail.core.blocks.CharBlock(max_length=350))])))])),
                ('show_in_site', models.BooleanField(default=False)),
            ],
            options={
                'ordering': ('-modified',),
            },
            bases=('wagtailcore.page', models.Model),
        ),
        migrations.CreateModel(
            name='Portfolio',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('title', models.CharField(max_length=350)),
                ('description', models.TextField(blank=True)),
                ('completed_on', models.DateField(blank=True, null=True)),
                ('detail', models.TextField(blank=True)),
                ('author', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='cumpa.author')),
                ('image', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.image')),
            ],
            options={
                'verbose_name': 'Portfolio',
                'verbose_name_plural': 'Portfolios',
            },
        ),
        migrations.CreateModel(
            name='Skill',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content_object', modelcluster.fields.ParentalKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='skill_items', to='cumpa.portfolio')),
                ('tag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='cumpa_skill_items', to='taggit.tag')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='portfolio',
            name='skills',
            field=taggit.managers.TaggableManager(blank=True, help_text='A comma-separated list of tags.', related_name='skills', through='cumpa.Skill', to='taggit.Tag', verbose_name='Tags'),
        ),
        migrations.AddField(
            model_name='portfolio',
            name='tags',
            field=taggit.managers.TaggableManager(blank=True, help_text='A comma-separated list of tags.', related_name='tags', through='cumpa.Category', to='taggit.Tag', verbose_name='Tags'),
        ),
        migrations.CreateModel(
            name='CumpaPortfolioOrderable',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('page', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='cumpa_portfolios', to='cumpa.cumpaportfoliopage')),
                ('portfolio', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='cumpa.portfolio')),
            ],
            options={
                'ordering': ['sort_order'],
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='category',
            name='content_object',
            field=modelcluster.fields.ParentalKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='categorized_items', to='cumpa.portfolio'),
        ),
        migrations.AddField(
            model_name='category',
            name='tag',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='cumpa_category_items', to='taggit.tag'),
        ),
    ]
